> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Connect a source rule to a target rule



## OpenAPI

````yaml /swagger/management-api.json post /api/v1/{team_slug}/{app_slug}/price-relay-connections
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers: []
security: []
tags:
  - name: Attribute Templates
    x-displayName: Attribute Templates
  - name: Attributes
    x-displayName: Attributes
  - name: Bulk
    x-displayName: Bulk
  - name: Attribute Template Fields
    x-displayName: Attribute Template Fields
  - name: Brands
    x-displayName: Brands
  - name: Product Bundle Groups
    x-displayName: Product Bundle Groups
  - name: Product Bundles
    x-displayName: Product Bundles
  - name: Bundle Rules
    x-displayName: Bundle Rules
  - name: Categories
    x-displayName: Categories
  - name: Channels
    x-displayName: Channels
  - name: ChannelContent
    x-displayName: ChannelContent
  - name: Variant Groups
    x-displayName: Variant Groups
  - name: Collections
    x-displayName: Collections
  - name: CustomRoles
    x-displayName: CustomRoles
  - name: CustomerGroups
    x-displayName: CustomerGroups
  - name: DAM
    x-displayName: DAM
  - name: Product Drafts
    x-displayName: Product Drafts
  - name: Files
    x-displayName: Files
  - name: Images
    x-displayName: Images
  - name: Logs
    x-displayName: Logs
  - name: Markets
    x-displayName: Markets
  - name: Merchant Users
    x-displayName: Merchant Users
  - name: Orders
    x-displayName: Orders
  - name: Organizations
    x-displayName: Organizations
  - name: Price Relay Rules
    x-displayName: Price Relay Rules
  - name: Products
    x-displayName: Products
  - name: Relations
    x-displayName: Relations
  - name: Variant Templates
    x-displayName: Variant Templates
  - name: Variants
    x-displayName: Variants
  - name: Tags
    x-displayName: Tags
  - name: Redirects
    x-displayName: Redirects
  - name: Scheduling
    x-displayName: Scheduling
  - name: Smart Listings
    x-displayName: Smart Listings
  - name: Static Listings
    x-displayName: Static Listings
  - name: StoreGroups
    x-displayName: StoreGroups
  - name: TaxGroups
    x-displayName: TaxGroups
  - name: Third Party Link
    x-displayName: Third Party Link
  - name: Translations
    x-displayName: Translations
  - name: Videos
    x-displayName: Videos
  - name: Warehouses
    x-displayName: Warehouses
  - name: v2 Collections
    x-displayName: v2 Collections
paths:
  /api/v1/{team_slug}/{app_slug}/price-relay-connections:
    servers:
      - url: //api.enad.io
    post:
      tags:
        - Price Relay Rules
      summary: Connect a source rule to a target rule
      parameters:
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
        - description: Team slug
          in: path
          name: team_slug
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/internal_pkg_webserver_v1.InputPriceRelayConnection
        description: connection details
        required: true
      responses:
        '200':
          description: connection created
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_pkg_webserver_v1.OkResponsePriceRelayConnection
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '404':
          description: Rule not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '409':
          description: Already connected
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  schemas:
    internal_pkg_webserver_v1.InputPriceRelayConnection:
      properties:
        source_rule_id:
          type: string
        target_rule_id:
          type: string
      required:
        - source_rule_id
        - target_rule_id
      type: object
    internal_pkg_webserver_v1.OkResponsePriceRelayConnection:
      properties:
        data:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.PriceRelayConnection
        details:
          description: >-
            Additional contextual information about the response. Used to
            provide supplementary details beyond the main data payload, such as
            validation warnings or processing notes
          items:
            type: string
          type: array
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.PriceRelayConnection:
      properties:
        created_at:
          type: string
        id:
          type: string
        source_rule_id:
          type: string
        target_rule_id:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: 'Management API token, sent as `Authorization: Bearer <token>`.'

````